---
title: "Delete file by ID"
slug: "delete-file-by-id"
updated: 2026-04-01T03:43:19Z
published: 2026-04-01T03:43:19Z
canonical: "docs.xendit.co/delete-file-by-id"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xendit.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete file by ID

Delete/files/{file_id}

Make a Delete request to this endpoint to delete the file

SecurityHTTPType Basic

Path parametersfile_idstringRequired

Unique ID generated by Xendit for the particular file

Responses200

Successful operation

<select class='api-response-data' aria-label='Media type'><option value='cafbf52c-d99f-4b6e-93ba-d28eee6b3428'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='ad84f683-609a-49a8-a615-cd7b12208e93'>deleteFile</option>
</select>deleteFile

```json
{
  "is_deleted": true,
  "id": "file-ec700c1c-db17-4496-b1fb-04ebe551b412",
  "business_id": "b647524d-9c5d-414c-843a-3c819853d6b0"
}
```

object  idstring    

File ID

business_idstring    

Unique ID generated by Xendit for the particular file

is_deletedboolean    

404

The provided `id` does not exist. Please review the `id` and try again

<select class='api-response-data' aria-label='Media type'><option value='009c5e77-8b01-4503-9fc2-a12b652f7b07'>application/json</option>
</select>object  error_codestring    Valid values[
  "RATE_LIMIT_EXCEEDED"
]
messagestring    
errors Array  OneOfstringstring
objectobject
